Bug 118057 - RFE: allow for fallback from 'management' to 'update' on activiation keys
RFE: allow for fallback from 'management' to 'update' on activiation keys
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Registration (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 10:29 EST by Patrick C. F. Ernzer
Modified: 2009-03-24 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 14:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-03-11 10:29:19 EST
Description of problem:
currently we only allow activation keys of 'management' type. We
should either also allow for 'update' type activation keys, or
preferably keys that alloe fallback to a lower-end entitlement


Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
always

Steps to Reproduce:
1. have an account that has used up all management entitlements but
still has unused upadte entitlements (e.g the account 'pcfe-test')
2. log in to RHN, go to
https://rhn.redhat.com/network/account/activation_keys/create.pxt
  
Actual results:
the fiels 'Entitlement' is set to  Management and cannot be changed
(static text instead of drop-down list)

Expected results:
either a drop down list that allows chosing between 'management' and
'update' or preferably an entry stating 'management, fallback to
update if slots exhausted'

Additional info:
if we use the fallback key, we should really notify the user that a
lower-end key was used in registartion.
Comment 1 Mihai Ibanescu 2004-04-12 12:53:26 EDT
Mixing update and management slots is generally quite misleading.
Reassigning for consideration.
Comment 3 Amanda Carter 2009-03-24 14:15:07 EDT
This bug has been closed due to inactivity.  Please open a new bug with
specific details if this problem is still occurring or if an enhancement is
needed.

Note You need to log in before you can comment on or make changes to this bug.